package com.sf._04_字符流;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

public class Test {
    /**
     * 字符流: 专门用来操作纯文本的
     * 分成字符输入流 FileReader  字符输出流 FileWriter
     *
     * 写方法: write(char)  writer(char[])
     * 读方法: read()   read(char[])
     * @param args
     */
    public static void main(String[] args) throws IOException {
        // 使用字符输出流往a.txt 文件中写内容 我是中国人
        FileWriter fileWriter = new FileWriter(new File("d:\\a.txt"),true);
        // 写内容
        fileWriter.write("我是中国人");
        fileWriter.write(System.lineSeparator());
        fileWriter.write("我是中国人");


        //关闭资源
        fileWriter.close();
    }
}
